
#import <appkit/appkit.h>

@interface RulePanel:View {

	id		ascru;
	id		toascru;
	id		pSliders;
	id		pWindows;
	id		ruleNumber;
	id		ruleBox;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		wrule;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;
	id		probView;

	id		s00,s01,s02,s10,s11,s12,s20,s21,s22;

	id		gfWindow;

	id		stBox;
	id		stSumMatrix0;
	id		stSumMatrix1;
	id		stSumNumber0;
	id		stSumNumber1;
	id		stWindow;

	id		toBox;
	id		toFullNumber;
	id		toRuleNumber;
	id		toWindow;

	id		designPrm;
	id		designRef;
	id		zeZeZe;

/* - - - - - - - -   arithmetic box    - - - - - - - - - - */

	id		arithmRuleBox;
	id		twoRules;

	id		hexLatBox;

	id		browser;

/* - - - - -  special rule box management - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		equivRuleBox;
	id		aritmRuleBox;

	id		changeLine;

/* - - - - - -  Author box management  - - - - - - - - - - */

	id 		anotherLilBox;
	id		anotherBigBox;
	id		automatonBox;
	id		authorBox;
	id 		theBox;
	id		auxBox;

/* - - - - - - - - -  composite rule  - - - - - - - - - - - */

	id		composRuleBox;
	id		composRuleNumb;

}

- freeAllRules:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readTRule:sender;
- readWRule:sender;
- protectGenRule:sender;
- setAllRules:sender;
- setDemo:sender;
- setDimension:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- idenRules:sender; 
- zeroRules:sender; 

- rCellLine:sender;
- sCellLine:sender;
- uCellLine:sender;

- enterGF2Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- copySemiRule:sender;
- enterSemiRule:sender;
- enterSemiState:sender;
- resetSemiRule:sender;

- enterTotalisticRule:sender;
- freeAllTotRules:sender;
- protectTotRule:sender;
- ranTotRules:sender;
- ranPTotRules:sender;
- setTotRule:sender;
- setTotRules:sender;
- zeroTotRules:sender; 

- xenophilic:sender;
- xenophobic:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;
 
- nxasfreq; 

/*  - - - - - - - -   arithmRuleBox   - - - - - - - - */

- arithmCombs:sender;
- initTwoRules:sender;

/*                 special rule box management        */

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

/* - - - - - -  author box management - - - - - - - - */

- loadBox:sender;


/* - - - - - - - - -  composite rule  - - - - - - - - - - */

- composRule:sender;
- compxRule:sender;
- comprRule:sender;

- lifeRule:sender;
- tileRule:sender;

@end 

/* end RulePanel.h */ 
